import { TransactionHeaderBaseComponent } from './transaction-header-base.component';
export declare abstract class TransactionInputHeaderFieldBaseComponent extends TransactionHeaderBaseComponent {
    showLabel: boolean;
    showLabelBefore: boolean;
    defaultEditMode: boolean;
    set editMode(value: boolean);
    get editMode(): boolean;
    handleClick(event: MouseEvent): void;
    input: any;
    private _editMode;
    protected setEditMode(rollback?: boolean): Promise<void>;
}
